option('enable_mem', type : 'boolean', value : false, description : 'memory functions - memset, memcpy etc.')
option('enable_tick', type : 'boolean', value : false, description : 'time-related functions - tick counter, delay etc.')
option('enable_str', type : 'boolean', value : false, description : 'string functions - strlen, strcpy etc.')
option('enable_print', type : 'boolean', value : false, description : 'printf support')
option('enable_math', type : 'boolean', value : false, description : 'math functions (or math.h overrides)')
